yesod-core-1.6.25.0: Creation of type-safe, RESTful web applications.

Safe Haskell | Safe-Inferred
Language | Haskell2010

Yesod.Core.Internal

Description

Exposed mostly for testing. These functions provide an unstable API and should not be relied upon.

Synopsis

- randomString :: Monad m => Int -> m Int -> m Text
- parseWaiRequest :: Request -> SessionMap -> Bool -> Maybe Word64 -> Either (IO YesodRequest) (IO Int -> IO YesodRequest)
- mkYesodGeneral :: [[String]] -> String -> [String] -> Bool -> (Exp -> Q Exp) -> [ResourceTree String] -> Q ([Dec], [Dec])

# Documentation

randomString :: Monad m => Int -> m Int -> m Text #

Generate a random String of alphanumerical characters (a-z, A-Z, and 0-9) of the given length using the given random number generator.

parseWaiRequest #

Arguments

:: Request |
-> SessionMap |
-> Bool |
-> Maybe Word64 | max body size
-> Either (IO YesodRequest) (IO Int -> IO YesodRequest) |

mkYesodGeneral #

Arguments

:: [[String]] | Appliction context. Used in RenderRoute, RouteAttrs, and ParseRoute instances.
-> String | foundation type
-> [String] | arguments for the type
-> Bool | is this a subsite
-> (Exp -> Q Exp) | unwrap handler
-> [ResourceTree String] |
-> Q ([Dec], [Dec]) |